### Virtual Method

# Gtk Buildableadd_child

#### Declaration [src]

    void
    add_child (
      GtkBuildable* buildable,
      GtkBuilder* builder,
      GObject* child,
      const char* type
    )

#### Description [src]

Adds a child to `buildable`. `type` is an optional string describing how the child should be added.

#### Parameters

`builder`

  Type: `GtkBuilder`

  A `GtkBuilder`

  The data is owned by the caller of the function.

`child`

  Type: `GObject`

  Child to add.

  The data is owned by the caller of the function.

`type`

  Type: `const char*`

  Kind of child or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.